Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe
Interface RequestSituation

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, java.io.Serializable, SituationType

All Known Implementing Classes:
  RequestSituationImpl

public interface RequestSituation
extends SituationType

A representation of the model object 'Request Situation'.

The RequestSituation deals with the situations that a component uses to identify the completion status of a request. Typically, these requests are complex management tasks or transactions that a component undertakes on behalf of a requestor and not the mainline simple requests or transactions. Existing messages include words like "configuration synchronization started", or "backup procedure complete", for example:

`ADMS0003I: Configuration synchronization completed`

Since:
  1.0.1

  The following features are supported:

  - `Success Disposition`
  - `Situation Qualifier`
Version:
  1.0.1
Author:
  Denilson Nastacio
See Also:
  `EventPackage.getRequestSituation()`

Method Summary
`java.lang.String` | `getSituationQualifier()` Returns the value of the 'Situation Qualifier' attribute.
`java.lang.String` | `getSuccessDisposition()` Returns the value of the 'Success Disposition' attribute.
`void` | `init()` Resets the object's properties to their initial (e.g. null) state.
`void` | `setSituationQualifier(java.lang.String value)` Sets the value of the '`Situation Qualifier`' attribute
`void` | `setSuccessDisposition(java.lang.String value)` Sets the value of the '`Success Disposition`' attribute

Methods inherited from interface org.eclipse.hyades.logging.events.cbe.SituationType
`getReasoningScope, setReasoningScope, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSuccessDisposition

    public java.lang.String getSuccessDisposition()

  Returns the value of the 'Success Disposition' attribute.

  Returns:
    the value of the 'Success Disposition' attribute.
  See Also:
    `setSuccessDisposition(String)`, `EventPackage.getRequestSituation_SuccessDisposition()`

### setSuccessDisposition

    public void setSuccessDisposition(java.lang.String value)

  Sets the value of the '`Success Disposition`' attribute.

  This property specifies whether or not the operation that caused the situation to be reported was successful. The successDisposition is a string with the following set of values:

  - SUCCESSFUL
  - UNSUCCESSFUL
  This is a required property and once it is set it must not change. The string length for this property must not exceed 64 characters.

  Parameters:
    `value` - the new value of the 'Success Disposition' attribute.
  See Also:
    `getSuccessDisposition()`

### getSituationQualifier

    public java.lang.String getSituationQualifier()

  Returns the value of the 'Situation Qualifier' attribute.

  Returns:
    the value of the 'Situation Qualifier' attribute.
  See Also:
    `setSituationQualifier(String)`, `EventPackage.getRequestSituation_SituationQualifier()`

### setSituationQualifier

    public void setSituationQualifier(java.lang.String value)

  Sets the value of the '`Situation Qualifier`' attribute.

  This property specifies the request qualifiers that are representation of the parameters necessary to describe the situation. The situationQualifier is a string with the following set of values:

  - REQUEST INITIATED
  - REQUEST COMPLETED

  This is a required property and once it is set it must not change. The string length for this property must not exceed 64 characters.

  Parameters:
    `value` - the new value of the 'Situation Qualifier' attribute.
  See Also:
    `getSituationQualifier()`

### init

    public void init()

  Resets the object's properties to their initial (e.g. null) state. All components are initialized to either zero or null.

  Specified by:
    `init` in interface `SituationType`
  Since:
    1.0

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD